@import "../../../assets/scss/global";

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: $sm-padding $md-padding;
    border-radius: 40px;
    font-size: 16px;
    font-weight: 600;
    cursor: initial;
    column-gap: 10px;
    line-height: 24px;

    @include largeScreen {
        cursor: pointer;
    }

    svg {
        margin-right: 7px;
    }

    @include largeScreen{
        &:not(.none, .secondary, .outline, .yellow, .danger-outline):hover {
            background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
            box-shadow: 0 12px 20px rgba(248, 76, 38, 0.15);
            color: white;
        }
    }

    &.outline {
        background-color: white;
        border: 1px solid $primary-color;
        color: $primary-color;
        padding: 11px $md-padding;

        // &:hover{
        //     border: 0;
        //     padding: $sm-padding $md-padding;
        // }
    }

    &.danger-outline{
        background-color: white;
        border: 1px solid #F82626;
        color: #F82626;
        padding: 11px $md-padding;
    }

    &.primary {
        background-color: $primary-color;
        color: white;
        box-shadow: 0 12px 20px rgba(248, 76, 38, 0.15);
    }

    &.secondary{
        background-color: $secondary-color;
        color: white;
        box-shadow: 0px 12px 20px rgba(248, 76, 38, 0.15);

       @include largeScreen{
            &:hover{
                background: linear-gradient(92.79deg, #FF6CF0 4.55%, #7C68EE 96.42%);
            }
       }
    }

    &.success {
        background-color: $success-color;
        color: white;
        box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);

        @include largeScreen{
            &:hover {
                background: linear-gradient(88.16deg, #AAEF66 1.56%, #39BA4C 97.89%);
                box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);
                border-radius: 40px;
            }
        }
    }

    &.yellow{
        background-color: #FFC700;
        color: #FFFFFF;
        font-weight: 700;
        font-size: 16px;
        box-shadow: 0px 12px 20px rgba(248, 76, 38, 0.15);
    }

    &.disable {
        pointer-events: none;
        background-color: #F7F8FC;
        color: grey;
    }

    &[disabled] {
        pointer-events: none;
        background-color: #F7F8FC;
        color: grey;
    }

    &.none {
        outline: none;
        border: none;
        background-color: transparent;
        padding: $sm-padding 0;
        font-weight: 500;
        height: fit-content;
        width: fit-content;

        svg {
            margin: 0;
        }
    }
}



